#ilistdir.py
import os
# Micropython: inode is unknown
list=os.ilistdir() # returns interator vs list
for item in list:
    file_name, file_type, file_inode, file_size = item # read values from tuple into variables
    if file_type == 0x8000: # Value designating a file
        type_string = 'File'
    else:
        type_string = 'Dir '
    print(f'{type_string}  {file_name:<25} {file_size}')

