#range.py
# Show some examples using the range() function

# 0-9
for i in range(10):
    print(i)

print() # print emtpy line

# 5-9
for i in range(5,10):
    print(i)

print()

# 10-1 (count down using a negative step value)
for i in range(10, 0, -1):
    print(i)

print()

# 0-9 all on one line (we defined our own line ending of none)
for i in range(10):
    print(i,end='')

print('\n')

# display value as hex
for i in range(16):
    print(hex(i))
    
print()

# display value as uppercase hex
for i in range(16):
    print(hex(i).upper())