#println.py
# print() allows its line ending and separator characters to be redefined
print('one','two','three','four') #default
print('one','two','three','four') #default
print('one','two','three','four',sep='**') #use ** instead of space
print('one ',end='')
print('two ',end='')
print('three ',end='')
print('four') #default

# Use print() redefined line termination 
def repeatthis(char, count):
    for _ in range(count):
        print(char, end='') #define line ending character(s) as none
    print() # one "normal" line ending


def textinabox(text):
    length = len(text)
    repeatthis('#',length + 6)
    print('#  ' + text + '  #')
    repeatthis('#',length + 6)


repeatthis('Hurrah ',10)
repeatthis('Blah ',5)
textinabox('I Love Python')
    