#storage.py
#Examples using List, Tuple, Set, and Dictionary storage

fruit_list = ["apple", "banana", "cherry", "pumpkin"]
file_tuple = ('readme.md', 0x8000, 0, 462) # name, type, inode, size
software_set = {'Jim', 'Doug', 'Sameer'}
# Dictionary - key:value pairs, keys must be unique
wifi_access = {
  "ap": "Q7TG33",
  "pw": "mysecretpw",
  "pref_chan": 11
}

# quick, minimal formatting, display the info
print('fruit_list',fruit_list)
print('file_tuple',file_tuple)
print('software_set',software_set)
print('wifi_access',wifi_access)

# Tuple unpacking
file, ftype, inode, size = file_tuple
print(file,':',size) # Display the file name with its size

# Read access point from dictionary
print(wifi_access['ap'])
